RichSequenceDB (BioJava-1.5-beta API)
Keywords: org.biojavax.bio.db.RichSequenceDB interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.bio.db
Interface RichSequenceDB

All Superinterfaces:
  BioEntryDB, BioEntryDBLite, Changeable, RichSequenceDBLite, SequenceDB, SequenceDBLite

All Known Implementing Classes:
  AbstractRichSequenceDB, BioSQLRichSequenceDB, GenbankRichSequenceDB, HashRichSequenceDB

    public interface RichSequenceDB

extends SequenceDB, BioEntryDB, RichSequenceDBLite

A database of RichSequences with accessible keys and iterators over all sequences.

This may have several implementations with rich behaviour, but basically most of the time you will just use the interface methods to do stuff. A sequence database contains a finite number of sequences stored under unique keys.

Since:
  1.5
Author:
  Matthew Pocock, Gerald Loeffler, Thomas Down, Richard Holland

Field Summary

Fields inherited from interface org.biojava.bio.seq.db.SequenceDBLite
`SEQUENCES`

Fields inherited from interface org.biojavax.bio.db.BioEntryDBLite
`BIOENTRYS`

Fields inherited from interface org.biojavax.bio.db.BioEntryDBLite
`BIOENTRYS`

Fields inherited from interface org.biojava.bio.seq.db.SequenceDBLite
`SEQUENCES`

Method Summary
`RichSequenceIterator` | `getRichSequenceIterator()` Returns a RichSequenceIterator over all sequences in the database.
`SequenceIterator` | `sequenceIterator()` Returns a SequenceIterator over all sequences in the database. Will always return an instance of RichSequenceIterator.

Methods inherited from interface org.biojava.bio.seq.db.SequenceDB
`filter, ids`

Methods inherited from interface org.biojava.bio.seq.db.SequenceDBLite
`addSequence, getName, getSequence, removeSequence`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from interface org.biojavax.bio.db.BioEntryDB
`getBioEntryIterator, ids`

Methods inherited from interface org.biojavax.bio.db.BioEntryDBLite
`addBioEntry, getBioEntry, getBioEntrys, getBioEntrys, getName, removeBioEntry`

Methods inherited from interface org.biojavax.bio.db.RichSequenceDBLite
`addRichSequence, getRichSequence, getRichSequences, getRichSequences, removeRichSequence`

Methods inherited from interface org.biojavax.bio.db.BioEntryDBLite
`addBioEntry, getBioEntry, getBioEntrys, getBioEntrys, getName, removeBioEntry`

Methods inherited from interface org.biojava.bio.seq.db.SequenceDBLite
`addSequence, getName, getSequence, removeSequence`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Method Detail

### sequenceIterator

    SequenceIterator sequenceIterator()

  Returns a SequenceIterator over all sequences in the database. The order of retrieval is undefined. Will always return an instance of RichSequenceIterator.

  Specified by:
    `sequenceIterator` in interface `SequenceDB`
  Returns:
    a SequenceIterator over all sequences

### getRichSequenceIterator

    RichSequenceIterator getRichSequenceIterator()

  Returns a RichSequenceIterator over all sequences in the database. The order of retrieval is undefined.

  Returns:
    a RichSequenceIterator over all sequences

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD